Bug 511314 - wget shows incorrect download rate
wget shows incorrect download rate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 12:34 EDT by Need Real Name
Modified: 2010-06-28 09:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-07-14 12:34:47 EDT
When using wget with --continue option or when wget resumes download
it shows incorrect download rate by counting skipped bytes 
as downloaded.

wget -r --continue ftp://host/dir
....
Downloaded: 93 files, 265G in 0.03s (8819 GB/s)

wget actually downloaded only directory listing 
and skipped all 93 backup files which were already downloaded long time ago,
but when showing the rate 8819 GB/s wget reports them 
as they were downloaded.

rpm -q wget
wget-1.11.4-1.fc10.x86_64
Comment 1 Adri Verhoef 2009-10-10 14:49:11 EDT
Also, when using wget with -nv (-no-verbose) it shows an incorrect download rate:

First, without -nv, downloading the same 32 MB file twice in just under 4 minutes:
$ wget http://speedtest.bbned.nl/download/file32mb.bin http://speedtest.bbned.nl/download/file32mb.bin
....
33,554,432   256K/s   in 1m 48s  
....
33,554,432   312K/s   in 2m 8s   
....
Downloaded: 2 files, 64M in 3m 56s (278 KB/s)

Then, with -nv, downloading the same 32 MB file twice in about 4 minutes:
$ time wget -nv http://speedtest.bbned.nl/download/file32mb.bin http://speedtest.bbned.nl/download/file32mb.bin
2009-10-10 20:49:09 URL:http://speedtest.bbned.nl/download/file32mb.bin [33554432/33554432] -> "file32mb.bin.2" [1]
2009-10-10 20:51:18 URL:http://speedtest.bbned.nl/download/file32mb.bin [33554432/33554432] -> "file32mb.bin.3" [1]
FINISHED --2009-10-10 20:51:18--
Downloaded: 2 files, 64M in 0s (125000000 GB/s)

real	4m5.925s
user	0m0.110s
sys	0m1.477s

$ rpm -q wget
wget-1.11.4-3.fc11.x86_64
Comment 2 Bug Zapper 2010-04-27 11:40:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:37:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.